package com.miaozhen.mzanalytics;

import android.content.Context;
import android.content.Intent;
import android.util.Log;

import com.miaozhen.sitesdk.api.MzSiteSDK;
import com.miaozhen.sitesdk.conf.MzConfig;

import org.json.JSONException;
import org.json.JSONObject;

public class EventUtils {
    /**
     * demo埋点包含:初始化， 页面，基础事件，高级事件，心跳和deeplink功能。
     */

    static MzSiteSDK mzSiteSDK;

    public static  void initEvent(Context context){
        try {
            //SDK 配置相关
            MzConfig config = new MzConfig();
            //调试时设置log开关
            config.setDebugMode(true);
            //SDK初始化
            mzSiteSDK = MzSiteSDK.getInstance(context,config,null);
        } catch (Throwable e) {
            e.printStackTrace();
        }

    }


    public static void pageEvent(Context context,JSONObject pageObject){
        if (mzSiteSDK == null){
            initEvent(context);
        }
        try {
            mzSiteSDK.trackPageView(pageObject);
        } catch (Throwable e) {
            e.printStackTrace();
        }
    }

    public static void BaseEvent(Context context,JSONObject object){
        if (mzSiteSDK == null){
            initEvent(context);
        }
        //基础事件
        try {
            mzSiteSDK.trackBaseEvent(object);
        }catch (Throwable e){
            e.printStackTrace();
        }


    }

    public static void SeniorEvent(Context context,JSONObject baseObject){
        if (mzSiteSDK == null){
            initEvent(context);
        }

        //自定义事件和高级事件监测
        try {
            mzSiteSDK.trackSeniorEvent(baseObject);
        }catch (Throwable e){
            e.printStackTrace();
        }

    }

    public static void heartEvent(Context context){
        if (mzSiteSDK == null){
            initEvent(context);
        }
        mzSiteSDK.trackPulse();
    }

    public static void deepLinkEvent(Context context, Intent intent){

        MzConfig config = new MzConfig();
        //调试时设置log开关
        config.setDebugMode(true);
        mzSiteSDK = MzSiteSDK.getInstance(context, config, intent);

    }
    public static String getCid(Context context){
        String result = "";
        if (mzSiteSDK == null){
            initEvent(context);
        }
        result = mzSiteSDK.getCid();
        return result;
    }

    public static String getOaid(Context context){
        String result = "";
        if (mzSiteSDK == null){
            initEvent(context);
        }
        result = mzSiteSDK.getOaid();
        return result;
    }
}
