//
//  MLTSiteManager.h
//  MLTSiteSDK
//
//  Created by 黄力 on 2019/7/24.
//  Copyright © 2019 MLT. All rights reserved.
//

#import <Foundation/Foundation.h>
 
NS_ASSUME_NONNULL_BEGIN

@interface MLTSiteManager : NSObject

/* 调试模式，输出日志
 默认为 NO
 */
+ (void)setEnableLog:(BOOL)isEnableLog;




+ (MLTSiteManager *)shareInstance;

//初始化
+ (MLTSiteManager *)sharedInstanceWithAppId:(NSString *)appId channel:(NSString *)channel;

/**获取访客id*/
+(NSString *)getCid;




//进入页面
 
- (void)trackPageView:(NSString *)title appendCustomDimMetrics:(nullable NSDictionary *)customDimMetrics ;

//事件。事件分类，事件动作，事件标签，事件价值
- (void)trackEvent:(NSString *)eventClassify eventAction:(NSString *)eventAction eventTag:(nullable NSString *)eventTag eventPrice:( NSInteger)eventPrice appendCustomDimMetrics:( nullable NSDictionary *)customDimMetrics;

//自定义高级事件
- (void)trackSiteCustomEvent:(NSDictionary *)customEvent appendCustomDimMetrics:( nullable NSDictionary *)customDimMetrics;
 

//心跳检测（关闭页面或返回桌面时调用）
-(void)trackPulse;

/**DeepLink和Universal Links*/
+(void)handleOpenURL:(NSURL *)url;



@end

NS_ASSUME_NONNULL_END
